<script setup lang="ts">
import { ref, defineEmits } from 'vue'
import type { VForm } from 'vuetify/components'
import { type User } from '@/types/User'
import { user } from '@/types/User'
import MainMenu from '@/components/MainMenu.vue'
import { useAuthStore } from '@/stores/auth'
import { useReceiptStore } from '@/stores/receipt'
import { useMessageStore } from '@/stores/message'

const form = ref(false)
const refForm = ref<VForm | null>(null)
const AuthStore = useAuthStore()
const required = (v: string) => {
  return !!v || 'Field is required'
}
const messageStore = useMessageStore()
const email = ref('MiaWalker@gmail.com')
const password = ref('password14')

async function loginf() {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  AuthStore.login(email.value, password.value)
}
</script>

<template>
  <div style="position: relative">
    <video src="/public/img/cafe/videoplayback.webm" autoplay loop muted></video>

    <v-container style="position: absolute; top: 0; right: 0; bottom: 0; left: 0">
      <v-row justify="center" align="center" no-gutters>
        <v-col xs="12" sm="8" md="6" lg="5" class="text-center">
          <v-card
            width="100%"
            height="auto"
            class="mx-auto"
            style="padding: 23px; display: flex; flex-direction: column; justify-content: flex-end"
          >
            <v-img
              width="40%"
              src="./img/cafe/Beige and Black Purely Typographic Psychiatric Doctor Logo.png"
              class="mx-auto d-flex justify-center align-center"
              cover
            ></v-img>
            <v-card-title primary-title style="text-align: center; padding-bottom: 10%"
              >Login</v-card-title
            >
            <v-card-text>
              <v-form v-model="form" ref="refForm">
                <v-text-field
                  label="Email"
                  :rules="[required]"
                  hide-details
                  v-model="email"
                  variant="outlined"
                  prepend-inner-icon="mdi-email"
                ></v-text-field>

                <v-text-field
                  label="Password"
                  :rules="[required]"
                  hide-details
                  type="password"
                  v-model="password"
                  icon="mdi-checkbox-marked-circle"
                  variant="outlined"
                  prepend-inner-icon="mdi-lock"
                  style="margin-top: 5%"
                ></v-text-field>
              </v-form>
            </v-card-text>
            <v-card-action style="padding: 20px; width: 100%">
              <v-btn
                color="success"
                :disabled="!form"
                @click="loginf()"
                variant="outlined"
                prepend-icon="mdi-login"
                >Sign in</v-btn
              >
            </v-card-action>
            <v-sheet>Email : {{ email }}</v-sheet>
            <v-sheet>Password : {{ password }}</v-sheet>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<style scoped>
video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Additional styles for positioning */
.v-container {
  display: flex;
  align-items: center;
  justify-content: center;
}
</style>
